Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 144915 - [65cat] [php] Error in Hyperlink Detection when I mouseOver functions "require" and "include"
[65cat] [php] Error in Hyperlink Detection when I mouseOver functions "requir...
Status: VERIFIED FIXED
Product: php
Classification: Unclassified
Component: Code
6.x
PC Windows XP
: P3 (vote)
: 6.x
Assigned To: Petr Pisl
issues@php
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2008-08-23 10:24 UTC by nvarun
Modified: 2008-10-01 14:17 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
:


Attachments
See the "require" function (43.78 KB, image/jpeg)
2008-08-23 10:27 UTC, nvarun
Details

Note You need to log in before you can comment on or make changes to this bug.
Description nvarun 2008-08-23 10:24:26 UTC
[ BUILD # : 6.5 Beta ]
[ JDK VERSION : 1.6.0_05 ]

Please refer this document-
http://nbguru.wordpress.com/proj-netbeans/php-editor-hyperlinks-review
/

See section "PHP Files...", and look at the usecase #2-

"I think when I mouseOver 'require', then I should be taken to file
where its defined, and when I mouseOver the 'URL' inside the
parantheses, then I should be navigated to that file. Right now, what
happens is the following, I am taken to only one file, as it detects
only 1 hyperlink, not 2"

I will attach an image, shortly.

Similar, thing happens when I mouseOver 'include', like-
//include("conf/conf.php");

Whole statement is considered to be a hyperlink, instead of 2
distinct hyperlinks. Thats what happens in the case defined above.
Comment 1 nvarun 2008-08-23 10:27:15 UTC
Created attachment 68153 [details]
See the "require" function
Comment 2 nvarun 2008-08-23 10:28:02 UTC
Changed summary to follow NetCAT Etiquette
Comment 3 nvarun 2008-08-24 09:26:54 UTC
Another usecase for "include"-
<?php include '../folder/file.php' ?>

"include '../folder/file.php'" is underlined when I press Ctrl and mouseover, meaning its a hyperlink and it takes me to
desired file. So, this is another usecase where issues lies.

Comment 4 Petr Pisl 2008-09-12 12:03:53 UTC
Fixed in the trunk.
Comment 5 Quality Engineering 2008-09-12 17:32:44 UTC
Integrated into 'main-golden', will be available in build *200809121401* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main/rev/009a3c3071d5
User: Petr Pisl <ppisl@netbeans.org>
Log: #144915 - [65cat] [php] Error in Hyperlink Detection when I mouseOver functions "require" and "include"
Comment 6 nvarun 2008-09-17 15:53:50 UTC
Awesome! Its working perfectly...Thanks!
Comment 7 Mikhail Matveev 2008-10-01 14:17:15 UTC
Now require/include is not part of a hyperlink. Marking as verified.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo